PHP K�sikirja
Edellinen |  | Seuraava

# dbase_create

(PHP 3, PHP 4 , PHP 5)

dbase_create -- Creates a database

## Description

int dbase_create ( string filename, array fields )

dbase_create() creates a dBase database with the given definition.

> Huomaa: Kun safe mode on k�yt�ss�, PHP tarkistaa onko k�sitelt�vien tiedostojen/hakemistojen UID sama kuin ajettavalla skriptill�.

> Huomaa: This function is affected by open_basedir.

## Parameters

filename

  The name of the database. It can be a relative or absolute path to the file where dBase will store your data.

fields

  An array of arrays, each array describing the format of one field of the database. Each field consists of a name, a character indicating the field type, and optionally, a length, and a precision.

  > Huomaa: The fieldnames are limited in length and must not exceed 10 chars.

## Return values

Returns a database link identifier if the database is successfully created, or `FALSE` if an error occurred.

## Examples

Esimerkki 1. Creating a dBase database file

`<?php // database "definition" $def = array( array("date", "D"), array("name", "C", 50), array("age", "N", 3, 0), array("email", "C", 128), array("ismember", "L") ); // creation if (!dbase_create('/tmp/test.dbf', $def)) { echo "Error, can't create the database\n"; } ?>`

## See Also

dbase_open()
dbase_close()

Edellinen | Alkuun | Seuraava
dbase_close | Ylös | dbase_delete_record